<?xml version="1.0" encoding="UTF-8" ?>
<project
    xmlns="http://maven.apache.org/POM/4.0.0"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://maven.apache.org/POM/4.0.0
                      http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <parent>
        <groupId>pl.com.rszewczyk</groupId>
        <artifactId>pom</artifactId>
        <version>0.0.1</version>
        <relativePath>../pom.xml</relativePath>
    </parent>

    <groupId>pl.com.rszewczyk.linters.pmd</groupId>
    <artifactId>java-rules</artifactId>
    <version>0.0.1</version>

    <properties>
        <java.version>8</java.version>
        <jacoco.covered.minimum>90%</jacoco.covered.minimum>
        <spotbugs.excludeFilterFile>${maven.multiModuleProjectDirectory}/../spotbugs-exclude.xml</spotbugs.excludeFilterFile>
        <pmd.rulesetFile>${maven.multiModuleProjectDirectory}/src/main/resources/pl/com/rszewczyk/linters/pmd/java/pmd-custom.xml</pmd.rulesetFile>

        <pmd.version>7.0.0</pmd.version>
        <javax-validation.version>2.0.1.Final</javax-validation.version>
        <junit.version>4.13.2</junit.version>
    </properties>

    <build>
        <testSourceDirectory>${project.basedir}/src/test/java</testSourceDirectory>
    </build>

    <dependencyManagement>
        <dependencies>
            <dependency>
                <groupId>net.sourceforge.pmd</groupId>
                <artifactId>pmd-java</artifactId>
                <version>${pmd.version}</version>
            </dependency>
            <dependency>
                <groupId>net.sourceforge.pmd</groupId>
                <artifactId>pmd-core</artifactId>
                <version>${pmd.version}</version>
            </dependency>
            <dependency>
                <groupId>net.sourceforge.pmd</groupId>
                <artifactId>pmd-designer</artifactId>
                <version>${pmd.version}</version>
            </dependency>
            <dependency>
                <groupId>net.sourceforge.pmd</groupId>
                <artifactId>pmd-test</artifactId>
                <version>${pmd.version}</version>
                <scope>test</scope>
            </dependency>
            <dependency>
                <groupId>junit</groupId>
                <artifactId>junit</artifactId>
                <version>${junit.version}</version>
                <scope>test</scope>
            </dependency>
        </dependencies>
    </dependencyManagement>

    <dependencies>
        <dependency>
            <groupId>net.sourceforge.pmd</groupId>
            <artifactId>pmd-java</artifactId>
        </dependency>

        <dependency>
            <groupId>javax.validation</groupId>
            <artifactId>validation-api</artifactId>
            <version>${javax-validation.version}</version>
        </dependency>

        <dependency>
            <groupId>junit</groupId>
            <artifactId>junit</artifactId>
            <scope>test</scope>
        </dependency>

        <dependency>
            <groupId>net.sourceforge.pmd</groupId>
            <artifactId>pmd-test</artifactId>
            <scope>test</scope>
        </dependency>
    </dependencies>
</project>
